Subject: RE: invalid spawn id (4)
From: "Wolmarans, Brett" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "Wolmarans, Brett" <[email-masked]>
Date: Tue, 2 Mar 2004 14:52:03 -0800

You must be joking! 

_______________________
brett wolmarans, PSE, Spirent Communications
Cell Phone: (818) 292-3411  http://support.spirentcom.com

-----Original Message-----
From: Igor Pechtchanski [mailto:[email-masked]] 
Sent: Tuesday, March 02, 2004 1:10 PM
To: [email-masked]
Cc: Wolmarans, Brett
Subject: RE: invalid spawn id (4)

Brett,

Humor and indignation aside, it might be a useful feature to have
"installation profiles" for setup based on intended usage.  That way,
instead of having to wade through all the packages (on a too-small screen,
no less [an inside joke]), one could simply select "Cygwin for telnet", or
"Cygwin for shell scripting", or "Cygwin for cron" and the right set of
packages will automagically be selected.  Feel free to implement the
support for this in setup and submit a patch -- I'm sure it will be
thoughtfully considered.
	Igor

On Tue, 2 Mar 2004, Larry Hall wrote:

> Brett, I understood your point.  You clearly didn't catch mine though, I
> guess because it was shrouded in humor.  I'll be more plain.
>
> The argument you make for including Cygwin's telnet by default could be
> made for many other utilities provided with Cygwin as well.  Including
> all these by default would make for a very large base installation.
> Some would say that it is already too large.  Since you argue that
> the current default installation contains "a gazillion other things
> installed by default that will only be useful to
> 0.000000000000000000000000000000000000000001% of the user base", I'm
> assuming you would be in agreement with this crowd.  But that would
> contradict your argument so I can only guess that you're making it
> to let everyone on the list know that all this bothers you intensely.
> Perhaps you feel that you're owed some kind of apology because we
> didn't anticipate your needs and provide all the facilities (but no
> more!) that you need personally by default.  Maybe you're just being
> antagonistic.  I'm not sure.  What I am sure about is that you have
> complete freedom to install or not any package that Cygwin provides.
> We're not forcing any on you.  Even the default ones can be unselected
> initially or uninstalled later.  Given that fact, I fail to understand
> you indignation on this point.  But I hope you understand you are in
> no way restricted by the current options and that Cygwin as distributed
> from cygwin.com will not be changing it's defaults to accommodate your
> specific desires.  If that statement just adds to the indignation you
feel,
> then the only thing I can suggest is that you refuse to use the software
in
> protest.
>
> Larry
>
>
> At 12:43 PM 3/2/2004, you wrote:
> >If you recommend your telnet client so much then have it installed by
> >default.  That was my point.
> >_______________________
> >brett wolmarans, PSE, Spirent Communications
> >
> >At 07:33 PM 3/1/2004, you wrote:
> >>Hey, nobody ever replied but the answer is, don't use Microsoft telnet
> >>client with cygwin expect.
> >>
> >>Install cygwin telnet client ( NOT installed by default, heaven alone
knows
> >>why when they have a gazillion other things installed by default that
will
> >>only be useful to 0.000000000000000000000000000000000000000001% of the
user
> >>base )
> >
> >We recommend Cygwin telnet client over MS regardless of your intended
> >use. ;-)
> >
> >Of course, this list caters to
0.000000000000000000000000000000000000000001%
> >of the user base so we can only make recommendations to the rest of you.

-- 
				http://cs.nyu.edu/~pechtcha/
      |\      _,,,---,,_		[email-masked]
ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!

"I have since come to realize that being between your mentor and his route
to the bathroom is a major career booster."  -- Patrick Naughton

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/